/*
SMS.h - SMS Framework
Copyright (C) 2005, Tim Ellis

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifdef __APPLE__
#import <Cocoa/Cocoa.h>
#else
#include <Foundation/Foundation.h>
#endif

#import "SMSObject.h"

#ifndef __APPLE__
#define FALSE NO
#endif

#define kToaNpiISDNTelephone	0
#define kToaNpiData				1
#define kToaNpiTelex			2
#define kToaNpiNational			3
#define kToaNpiPrivate			4
#define kToaNpiErmes			5
#define kToaNpiReserved			6
#define kToaNpiUnknown			7

#define kToaTypeInternational	0
#define kToaTypeNational		1
#define kToaTypeNetwork			2
#define kToaTypeSubscriber		3
#define kToaTypeAlphanumeric	4
#define kToaTypeAbbbreviated	5
#define kToaTypeReserved		6
#define kToaTypeUnknown			7

#define kTpDcsGdc				0
#define kTpDcsMwigDiscard		1
#define kTpDcsMwigStoreDefault	2
#define kTpDcsMwigStoreUcs2		3
#define kTpDcsMwigData			4
#define kTpDcsReserved			5

#define kTpDcsMsgClassAlert		0
#define kTpDcsMsgClassMe		1
#define kTpDcsMsgClassSim		2
#define kTpDcsMsgClassTe		3

#define kTpDcsMsgCompressed		0
#define kTpDcsMsgUncompressed	1

#define kTpDcsAlphaDefault		0
#define kTpDcsAlphaUcs2			1
#define kTpDcsAlphaData			2
#define kTpDcsAlphaReserved		4

#define kTpDcsMwigIndInactive	0
#define kTpDcsMwigIndActive		1

#define kTpDcsMwigIndTypeVmail	0
#define kTpDcsMwigIndTypeFax	1
#define kTpDcsMwigIndTypeEmail	2
#define kTpDcsMwigIndTypeOther	3

#define kTpDcsGdcClassValid		0
#define kTpDcsGdcClassInvalid	1

#define kInvalid				-1

@interface SMS : NSObject {}

- (SMSObject*)decode:(NSString*)raw;

@end
